summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2018-02-02 19:04:37 +0100
committerMartin Väth <martin@mvath.de>2018-02-02 19:04:37 +0100
commit77f8664048bd6dc10b1c2801c1e9fcf4b00eada9 (patch)
tree61a4f155bc1ca3dac23d2406c85ecc44700888f6 /sci-geosciences/googleearth
parentwww-plugins/noscript: Version bump (diff)
downloadmv-77f8664048bd6dc10b1c2801c1e9fcf4b00eada9.tar.gz
mv-77f8664048bd6dc10b1c2801c1e9fcf4b00eada9.tar.bz2
mv-77f8664048bd6dc10b1c2801c1e9fcf4b00eada9.zip
sci-geosciences/googleearth: Version bump. Fix -bundled-qt +bundlet-libs
Diffstat (limited to 'sci-geosciences/googleearth')
-rw-r--r--sci-geosciences/googleearth/Manifest1
-rw-r--r--sci-geosciences/googleearth/googleearth-7.3.0.3832.ebuild3
-rw-r--r--sci-geosciences/googleearth/googleearth-7.3.1.ebuild162
3 files changed, 165 insertions, 1 deletions
diff --git a/sci-geosciences/googleearth/Manifest b/sci-geosciences/googleearth/Manifest
index cea27ad5..cd0a3c1f 100644
--- a/sci-geosciences/googleearth/Manifest
+++ b/sci-geosciences/googleearth/Manifest
@@ -2,3 +2,4 @@ DIST google-earth-pro-stable_7.1.8.3036-r0_amd64.deb 45663202 SHA512 6257f8d5e7a
DIST google-earth-pro-stable_7.1.8.3036-r0_i386.deb 44460270 SHA512 74176fd389bcfb1de681b5c3e51260da8bdae1d62abd520fc457ff2b6161d6a85fa98fb012774019e23b8043c2cf74b6a14bda05f55a25ade945f9fdcdc719c3
DIST google-earth-pro-stable_7.3.0.3832-r0_amd64.deb 57842874 SHA512 af75d6dc223983aba7f84685c8f12bb06b4972fe0a50a883c5ee3321c37b16cd25ac7c60da3c80f4bf7cec41011827fab9f66ba2c9c3f404cd7270f610815251
DIST google-earth-pro-stable_7.3.0.3832-r0_i386.deb 56685312 SHA512 7bdf9cdf5d431b55ccc02e15e9f58bb9b3ed6590a6f53afe7202ba2d8fd38be333e9bfe273ea64502a78fb4263021da15b16cf474ea48a3742f0ce622eb8d151
+DIST google-earth-pro-stable_7.3.1_amd64.deb 56567980 SHA512 deae55e3f180053af156c366656620a3d6b78dc39244a2d7dc744b6adf4bafabf47ab5dcfe9e83a3a5c3ccf81eaa8baa60e71c0c2496b522a9187aea8beb8756
diff --git a/sci-geosciences/googleearth/googleearth-7.3.0.3832.ebuild b/sci-geosciences/googleearth/googleearth-7.3.0.3832.ebuild
index d8fc656c..c7b2adf5 100644
--- a/sci-geosciences/googleearth/googleearth-7.3.0.3832.ebuild
+++ b/sci-geosciences/googleearth/googleearth-7.3.0.3832.ebuild
@@ -67,9 +67,9 @@ src_unpack() {
# default src_unpack fails with deb2targz installed, also this unpacks the data.tar.lzma as well
unpack_deb ${A}
+ cd opt/google/earth/pro || die
if ! use bundled-libs ; then
einfo "removing bundled libs"
- cd opt/google/earth/pro || die
# sci-libs/gdal-1*
# rm -v libgdal.so.1 || die
# dev-libs/expat
@@ -79,6 +79,7 @@ src_unpack() {
# rm -rv plugins/imageformats || die
fi
if ! use bundled-qt ; then
+ einfo "removing bundled qt"
rm -v libQt5{Core,DBus,Gui,Multimedia,MultimediaWidgets,Network,OpenGL,Positioning,PrintSupport,Qml,Quick,Script,ScriptTools,Sensors,Sql,WebChannel,WebKit,WebKitWidgets,Widgets,X11Extras,XcbQpa}.so.5 || die
fi
}
diff --git a/sci-geosciences/googleearth/googleearth-7.3.1.ebuild b/sci-geosciences/googleearth/googleearth-7.3.1.ebuild
new file mode 100644
index 00000000..484e3927
--- /dev/null
+++ b/sci-geosciences/googleearth/googleearth-7.3.1.ebuild
@@ -0,0 +1,162 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit desktop eutils gnome2-utils pax-utils unpacker versionator xdg-utils
+
+DESCRIPTION="A 3D interface to the planet"
+HOMEPAGE="https://www.google.com/earth/desktop/"
+MY_PV=$(replace_all_version_separators '_' $(get_version_component_range 1-3))
+SRC_URI="https://dl.google.com/dl/linux/direct/google-earth-pro-stable_${PV}_amd64.deb"
+LICENSE="googleearth GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="mirror splitdebug"
+IUSE="+bundled-qt"
+
+QA_PREBUILT="*"
+
+RDEPEND="
+ dev-libs/glib:2
+ dev-libs/nspr
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/gstreamer:1.0=
+ media-libs/gst-plugins-base:1.0=
+ net-libs/libproxy
+ net-misc/curl
+ sys-devel/gcc[cxx]
+ sys-libs/zlib
+ virtual/glu
+ virtual/opengl
+ virtual/ttf-fonts
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXi
+ x11-libs/libXext
+ x11-libs/libXrender
+ x11-libs/libXau
+ x11-libs/libXdmcp
+ !bundled-qt? (
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtdeclarative:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5[widgets]
+ dev-qt/qtnetwork:5
+ dev-qt/qtopengl:5
+ dev-qt/qtpositioning:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtsensors:5
+ dev-qt/qtscript:5[scripttools]
+ dev-qt/qtwebchannel:5
+ dev-qt/qtwebkit:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtx11extras:5
+ )"
+# sci-libs/gdal-1*
+DEPEND="dev-util/patchelf"
+
+S=${WORKDIR}/opt/google/earth/pro
+
+src_unpack() {
+ # default src_unpack fails with deb2targz installed, also this unpacks the data.tar.lzma as well
+ unpack_deb ${A}
+
+ cd opt/google/earth/pro || die
+ if ! use bundled-qt ; then
+ einfo "removing bundled qt"
+ rm -v libQt5{Core,DBus,Gui,Multimedia,MultimediaWidgets,Network,OpenGL,Positioning,PrintSupport,Qml,Quick,Script,ScriptTools,Sensors,Sql,WebChannel,WebKit,WebKitWidgets,Widgets,X11Extras,XcbQpa}.so.5 || die
+ fi
+}
+
+src_prepare() {
+
+ # we have no ld-lsb.so.3 symlink
+ # thanks to Nathan Phillip Brink <ohnobinki@ohnopublishing.net> for suggesting patchelf
+ einfo "running patchelf"
+ patchelf --set-interpreter /$(get_libdir)/ld-linux$(usex amd64 "-x86-64" "").so.2 ${PN}-bin || die "patchelf failed"
+
+ # Set RPATH for preserve-libs handling (bug #265372).
+ local x
+ for x in * ; do
+ # Use \x7fELF header to separate ELF executables and libraries
+ [[ -f ${x} && $(od -t x1 -N 4 "${x}") == *"7f 45 4c 46"* ]] || continue
+ fperms u+w "${x}"
+ patchelf --set-rpath '$ORIGIN' "${x}" ||
+ die "patchelf failed on ${x}"
+ done
+ # prepare file permissions so that >patchelf-0.8 can work on the files
+ fperms u+w plugins/*.so plugins/imageformats/*.so
+ for x in plugins/*.so ; do
+ [[ -f ${x} ]] || continue
+ patchelf --set-rpath '$ORIGIN/..' "${x}" ||
+ die "patchelf failed on ${x}"
+ done
+ for x in plugins/imageformats/*.so ; do
+ [[ -f ${x} ]] || continue
+ patchelf --set-rpath '$ORIGIN/../..' "${x}" ||
+ die "patchelf failed on ${x}"
+ done
+
+ eapply -p0 "${FILESDIR}"/${PN}-${PV%%.*}-pro-desktopfile.patch
+ default
+}
+
+src_install() {
+ make_wrapper ${PN} ./${PN} /opt/${PN} .
+
+ insinto /usr/share/mime/packages
+ doins "${FILESDIR}/${PN}-mimetypes.xml" || die
+
+ domenu google-earth-pro.desktop
+
+ local size
+ for size in 16 22 24 32 48 64 128 256 ; do
+ newicon -s ${size} product_logo_${size}.png google-earth-pro.png
+ done
+
+ rm -rf xdg-mime xdg-settings google-earth-pro google-earth-pro.desktop product_logo_*
+
+ insinto /opt/${PN}
+ doins -r *
+
+ fperms +x /opt/${PN}/${PN}{,-bin}
+ cd "${ED}" || die
+ find . -type f -name "*.so.*" -exec fperms +x '{}' +
+
+ pax-mark -m "${ED%/}"/opt/${PN}/${PN}-bin
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ elog "When you get a crash starting Google Earth, try adding a file ~./.config/Google/GoogleEarthPlus.conf"
+ elog "with the following options:"
+ elog "lastTip = 4"
+ elog "enableTips = false"
+ elog ""
+ elog "In addition, the use of free video drivers may cause problems associated with using the Mesa"
+ elog "library. In this case, Google Earth 6x likely only works with the Gallium3D variant."
+ elog "To select the 32bit graphic library use the command:"
+ elog " eselect mesa list"
+ elog "For example, for Radeon R300 (x86):"
+ elog " eselect mesa set r300 2"
+ elog "For Intel Q33 (amd64):"
+ elog " eselect mesa set 32bit i965 2"
+ elog "You may need to restart X afterwards"
+
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}